# $Author: jeffr $
# $Date: 2023-10-05 10:18:42 -0400 (Thu, 05 Oct 2023) $
# $Revision: 65 $

BEGIN {
	FS=","
	print "Date, Length of Day"
}

{
	# Skip input file designation
	if (match($0, /Input file:/)) next

	# Get hour and number of minutes left in rise hour
	split ($2, rta, " ")
	rt = rta[1]
	split (rt, rtv, ":")
	rth = rtv[1]
	rtm = 60 - rtv[2]

	# Get hour and number of minutes into set hour
	split ($3, sta, " ")
	st = sta[1]
	split (st, stv, ":")
	sth = stv[1]

	# Total minutes
	mt = rtm + stv[2]

	# Do minutes exceed 59?
	if (mt > 59) {
		sth = sth + 1
		mt = mt - 60
		
		if (mt < 10)
			mt = 0 mt
	}

	# 12 or 24 hr time?
	if (sth < 12) 
		sth = sth + 12

	ht = sth - rth - 1

	print $1 ", " ht ":" mt
}

END {

}
